summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2005-12-28 22:40:33 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:47:56 -0500
commitf71f21fa0544dcf1a0de5f3c3293c18df0b2f9cc (patch)
tree30bca2ba0ae543fa53dbf15cda337490f7749d68
parent06c454094fc4cba0d19262e57b79596d066f9ce2 (diff)
downloadsamba-f71f21fa0544dcf1a0de5f3c3293c18df0b2f9cc.tar.gz
samba-f71f21fa0544dcf1a0de5f3c3293c18df0b2f9cc.tar.bz2
samba-f71f21fa0544dcf1a0de5f3c3293c18df0b2f9cc.zip
r12552: Remove use of Test::Harness - we're not printing the result summaries
on success anyway. Instead, call the scripts directly. (This used to be commit a83a38eab29cc289e53b1f9790a61e61d684f547)
-rwxr-xr-xsource4/script/tests/test_pidl.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/source4/script/tests/test_pidl.sh b/source4/script/tests/test_pidl.sh
index c48acf98cf..a17e3871fe 100755
--- a/source4/script/tests/test_pidl.sh
+++ b/source4/script/tests/test_pidl.sh
@@ -7,9 +7,10 @@ fi
incdir=`dirname $0`
. $incdir/test_functions.sh
+failed=0
for f in pidl/tests/*.pl; do
- testit "$f" $PERL -MExtUtils::Command::MM -e "test_harness()" $f || failed=`expr $failed + 1`
+ testit "$f" $PERL $f || failed=`expr $failed + 1`
done
testok $0 $failed